<?php
namespace Teknisa\PED\Services;

use Zeedhi\Framework\DTO\Response\Error;

class rtfReaderService {

    // Para essa função deve ser enviada o campo a ser convertido para String
    public function delphi2mobile ($string){ 
        try {
            
            if (substr($string, 0, 5) == '{\rtf') {
                $note = new \JoshRibakoff_Note;
                $note->setRTF($string);
                $html = $note->formatHTML();
                
                $html = substr($html, 0, -6);
                
                $string = $html;
            }
            
            $caracteres_sem_acento = array(
                "\'c0"=>"À", "\'c1"=>"Á", "\'c2"=>"Â", "\'c3"=>"Ã", "\'c7"=>"Ç", "\'c8"=>"È", "\'c9"=>"É", 
                "\'ca"=>"Ê", "\'cc"=>"Ì", "\'cd"=>"Í", "\'ce"=>"Î", "\'d2"=>"Ò", "\'d3"=>"Ó", "\'d4"=>"Ô", 
                "\'d5"=>"Õ", "\'d9"=>"Ù", "\'da"=>"Ú", "\'db"=>"Û", "\'e0"=>"à", "\'e1"=>"á", "\'e2"=>"â", 
                "\'e3"=>"ã", "\'e7"=>"ç", "\'e8"=>"è", "\'e9"=>"é", "\'ea"=>"ê", "\'ec"=>"ì", "\'ed"=>"í", 
                "\'ee"=>"î", "\'f2"=>"ò", "\'f3"=>"ó", "\'f4"=>"ô", "\'f5"=>"õ", "\'f9"=>"ù", "\'fa"=>"ú", 
                "\'fb"=>"û"
            );
            
            return strtr($string, $caracteres_sem_acento);
            
        }
        catch (\Exception $e) {
            throw $e;
        }
    }

    // Para essa função deve ser enviada o campo a ser convertido para Rtf
    function mobile2delphi($string){
        
        $caracteres_sem_acento = array(
            "À"=>"\'c0", "Á"=>"\'c1", "Â"=>"\'c2", "Ã"=>"\'c3", "Ç"=>"\'c7", "È"=>"\'c8", "É"=>"\'c9", 
            "Ê"=>"\'ca", "Ì"=>"\'cc", "Í"=>"\'cd", "Î"=>"\'ce", "Ò"=>"\'d2", "Ó"=>"\'d3", "Ô"=>"\'d4", 
            "Õ"=>"\'d5", "Ù"=>"\'d9", "Ú"=>"\'da", "Û"=>"\'db", "à"=>"\'e0", "á"=>"\'e1", "â"=>"\'e2", 
            "ã"=>"\'e3", "ç"=>"\'e7", "è"=>"\'e8", "é"=>"\'e9", "ê"=>"\'ea", "ì"=>"\'ec", "í"=>"\'ed", 
            "î"=>"\'ee", "ò"=>"\'f2", "ó"=>"\'f3", "ô"=>"\'f4", "õ"=>"\'f5", "ù"=>"\'f9", "ú"=>"\'fa", 
            "û"=>"\'fb"
        );
        $newString = strtr($string, $caracteres_sem_acento);

        $stringFinal = '{\rtf1\ansi\deff0{\fonttbl{\f0\fnil\fcharset0 MS Sans Serif;}}
\viewkind4\uc1\pard\lang1046\f0\fs16 '.$newString.'
\par }';
                        
        return $stringFinal;
    }
}

?>